Skip to main content
`Ctrl`+`K`

# PetscBenchCreate

Create a PETSc benchmark `PetscBench` object

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchCreate(MPI_Comm comm, PetscBench *bm)

Collective

## Input Parameter

- comm - communicator to share the `PetscBench`

## Output Parameter

- bm - the `PetscBench`

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchViewFromOptions()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages